/* $Id: language.h 124 2023-06-24 13:04:46Z nishi $ */
#ifndef __SWINEHUB_LANGUAGE_H__
#define __SWINEHUB_LANGUAGE_H__

#if !defined(JAPANESE) && !defined(ENGLISH)
#define ENGLISH
#endif

#if defined(JAPANESE)
	#define SW_IT_WORKS		printf("<div style=\"text-align: center;\">\n");\
					printf("	<img src=\"%s\" width=\"256px\"><br>\n", config->iconpath);\
					printf("	<h1>%sへようこそ！ - 動いています！</h1>\n", config->title);\
					printf("	もしこのページが見えているのであれば、SwineHubは（恐らく）うごいています。<br>\n");\
					printf("	<code>%s</code>を設定してその他のものが動くようにしてみてください。<br>\n", SWINEHUB_CONFIG);\
					printf("	<code>ItWorks=0</code>を<code>%s</code>に追加してこれを無効化できます。", SWINEHUB_CONFIG);\
					printf("	<hr>\n");\
					printf("</div>\n");
	#define SW_YOUR_REPOSITORIES	"あなたのリポジトリー"
	#define SW_LOGIN_TO		"ログインしないとリポジトリーは見えません。"
	#define SW_CREATE_A_REPO	"リポジトリーを作る"
	#define SW_REPO_NAME		"リポジトリー名"
	#define SW_CREATE		"作成"
	#define SW_REPO_LATEST_COMMIT	printf("<h3 class=\"widthfloat\">リポジトリーの最終コミット</h3>\n");\
					printf("<pre class=\"widthfloat\"><code id=\"repo-latest-commit\">%s</code></pre>\n", commit);
	#define SW_FILE_LATEST_COMMIT	printf("<h3 class=\"widthfloat\">ファイルの最終コミット</h3>\n");\
					printf("<pre class=\"widthfloat\"><code id=\"latest-commit\">%s</code></pre>\n", commit);
	#define SW_SET_README		"READMEを変更"
	#define SW_REPO_TITLE		char* _svnpath = swinehub_edit_svnpath(prefix, svnpath);\
					printf("<h2 class=\"widthfloat\">[<a href=\"%s%s/rss/~%s/%s\">RSS</a>] リポジトリー「<code>%s</code>」 (作成者: <a href=\"%s/~%s\"><code>%s</code></a>) (リビジョン%d): <code id=\"current-path\">%s</code><button id=\"delete-button\" onclick=\"swinehub_delete()\" style=\"display: none;\">リポジトリーを削除</button></h2>\n", config->url_prefix, getenv("SCRIPT_NAME"), username, reponame, reponame, getenv("SCRIPT_NAME"), username, username, rev, _svnpath);\
					free(_svnpath);
	#define SW_SIGNUP		"サインアップ"
	#define SW_LOGIN		"ログイン"
	#define SW_USERNAME		"ユーザー名"
	#define SW_PASSWORD		"パスワード"
	#define SW_HOME			"ホーム"
	#define SW_REPOS		"リポジトリー"
	#define SW_NAME			"名前"
	#define SW_TYPE			"タイプ"
	#define SW_SIZE			"サイズ"
	#define SW_LICENSE		"著作権"		/* 前までは「ライセンス」でした。 */
	#define SW_USER_TITLE		printf("<input type=\"hidden\" id=\"repouser\" value=\"%s\"><div class='header_container widthfloat'><h2>%s「<code>%s</code>」 </h2><div class='spacer'></div><button id=\"delete-user-button\" onclick=\"swinehub_delete_user()\" style=\"display: none;\">ユーザーを削除</button></div>\n", getenv("PATH_REPLACED") + 2, user_or_team, getenv("PATH_REPLACED") + 2);
	#define SW_USER_HAS		printf("<p class='widthfloat'>この%sは%dリポジトリー持っています。</p>\n", user_or_team, count);
	#define SW_COPYRIGHT		printf("<h1 style=\"text-align: center;\">SwineHubの著作権</h1>\n");\
					printf("<hr>\n");\
					printf("<div class='widthfloat'>\n");\
					printf("SwineHubは3条項BSDライセンスの下で頒布などをすることができます.<br>");\
					printf("著作権 &copy; 2023 EEE++ tEamと以下のコントリビューション:<br><ul>\n");\
					printf("	<li>meso</li>\n");\
					printf("	<li>\n");\
					printf("		<ruby>\n");\
					printf("			日出学園\n");\
					printf("			<rp>(</rp>\n");\
					printf("			<rt>Hinode Gakuen</rt>\n");\
					printf("			<rp>)</rp>\n");\
					printf("		</ruby> \n");\
					printf("		<ruby>\n");\
					printf("			パソコン部\n");\
					printf("			<rp>(</rp>\n");\
					printf("			<rt>Computer Club</rt>\n");\
					printf("			<rp>)</rp>\n");\
					printf("		</ruby>\n");\
					printf("	</li>\n");\
					printf("	<li>Alador</li>\n");\
					printf("</ul>");\
					printf("全著作権所有.<br>\n");\
					printf("</div>");\
					printf("<h1 style=\"text-align: center;\">3条項BSDライセンス</h1>\n");\
					printf("<hr>\n");\
					printf("<div class='widthfloat'>\n");\
					printf("<pre><code>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\
\n\
1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\
\n\
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\
\n\
3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\
\n\
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</code></pre>");\
					printf("</div>\n");
	#define SW_CREATE_A_TEAM	"チームを作成"
	#define SW_TEAMNAME		"チーム名"
	#define SW_TEAM			"チーム"
	#define SW_USER			"ユーザー"
	#define SW_TEAM_MEMBERS		"チームメンバー<br>(ユーザー名を`<code>, </code>`で区切ってください)"
	#define SW_EMPTY_REPO		"空のリポジトリーです"
	#define SW_CONTROL		"コントロール"
	#define SW_KICK			"キック"
	#define SW_APPLY		"適用"
	#define SW_ADD			"追加"
	#define SW_SUFFIX		"jp"
#elif defined(ENGLISH)
	#define SW_IT_WORKS		printf("<div style=\"text-align: center;\">\n");\
					printf("	<img src=\"%s\" width=\"256px\"><br>\n", config->iconpath);\
					printf("	<h1>Welcome to %s - It works!</h1>\n", config->title);\
					printf("	If you can see this page, SwineHub is (probably) working.<br>\n");\
					printf("	Configure <code>%s</code> to make stuffs work.<br>\n", SWINEHUB_CONFIG);\
					printf("	You can add <code>ItWorks=0</code> in <code>%s</code> to disable this.\n", SWINEHUB_CONFIG);\
					printf("	<hr>\n");\
					printf("</div>\n");
	#define SW_YOUR_REPOSITORIES	"Your repositories"
	#define SW_LOGIN_TO		"Login to see your repositories."
	#define SW_CREATE_A_REPO	"Create a repository"
	#define SW_REPO_NAME		"Repository name"
	#define SW_CREATE		"Create"
	#define SW_REPO_LATEST_COMMIT	printf("<h3 class=\"widthfloat\">Repository Latest Commit</h3>\n");\
					printf("<pre class=\"widthfloat\"><code id=\"repo-latest-commit\">%s</code></pre>\n", commit);
	#define SW_FILE_LATEST_COMMIT	printf("<h3 class=\"widthfloat\">File Latest Commit</h3>\n");\
					printf("<pre class=\"widthfloat\"><code id=\"latest-commit\">%s</code></pre>\n", commit);
	#define SW_SET_README		"Set README"
	#define SW_REPO_TITLE		char* _svnpath = swinehub_edit_svnpath(prefix, svnpath);\
					printf("<h2 class=\"widthfloat\">[<a href=\"%s%s/rss/~%s/%s\">RSS</a>] Repository <code>%s</code> by <a href=\"%s/~%s\"><code>%s</code></a> (Revision %d): <code id=\"current-path\">%s</code><button id=\"delete-button\" onclick=\"swinehub_delete()\" style=\"display: none;\">Delete</button></h2>\n", config->url_prefix, getenv("SCRIPT_NAME"), username, reponame, reponame, getenv("SCRIPT_NAME"), username, username, rev, _svnpath);\
					free(_svnpath);
	#define SW_SIGNUP		"Signup"
	#define SW_LOGIN		"Login"
	#define SW_USERNAME		"Username"
	#define SW_PASSWORD		"Password"
	#define SW_HOME			"Home"
	#define SW_REPOS		"Repositories"
	#define SW_NAME			"Name"
	#define SW_TYPE			"Type"
	#define SW_SIZE			"Size"
	#define SW_LICENSE		"Copyright"		/* It was "License" before ... */
	#define SW_USER_TITLE		printf("<input type=\"hidden\" id=\"repouser\" value=\"%s\"><div class='header_container widthfloat'><h2>%s <code>%s</code></h2><div class='spacer'></div><button id=\"delete-user-button\" onclick=\"swinehub_delete_user()\" style=\"display: none;\">Delete the user</button></div>\n", getenv("PATH_REPLACED") + 2, user_or_team, getenv("PATH_REPLACED") + 2);
	#define SW_USER_HAS		printf("<p class='widthfloat'>This %s has %d repository(s).</p>\n", user_or_team, count);
	#define SW_COPYRIGHT		printf("<h1 style=\"text-align: center;\">SwineHub Copyright</h1>\n");\
					printf("<hr>\n");\
					printf("<div class='widthfloat'>\n");\
					printf("SwineHub is licensed under the 3-clause BSD License.<br>");\
					printf("Copyright &copy; 2023 EEE++ tEam, with contributions from<br><ul>\n");\
					printf("	<li>meso</li>\n");\
					printf("	<li>\n");\
					printf("		<ruby>\n");\
					printf("			日出学園\n");\
					printf("			<rp>(</rp>\n");\
					printf("			<rt>Hinode Gakuen</rt>\n");\
					printf("			<rp>)</rp>\n");\
					printf("		</ruby> \n");\
					printf("		<ruby>\n");\
					printf("			パソコン部\n");\
					printf("			<rp>(</rp>\n");\
					printf("			<rt>Computer Club</rt>\n");\
					printf("			<rp>)</rp>\n");\
					printf("		</ruby>\n");\
					printf("	</li>\n");\
					printf("	<li>\n");\
					printf("		Alador\n");\
					printf("	</li>\n");\
					printf("</ul>\n");\
					printf("All rights reserved.<br>\n");\
					printf("</div>");\
					printf("<h1 style=\"text-align: center;\">BSD 3-Clause</h1>\n");\
					printf("<hr>\n");\
					printf("<div class='widthfloat'>\n");\
					printf("<pre><code>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\
\n\
1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\
\n\
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\
\n\
3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\
\n\
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</code></pre>");\
					printf("</div>\n");
	#define SW_CREATE_A_TEAM	"Create a team"
	#define SW_TEAMNAME		"Teamname"
	#define SW_TEAM			"Team"
	#define SW_USER			"User"
	#define SW_TEAM_MEMBERS		"Team members<br>(Split the usernames with `<code>, </code>`)"
	#define SW_EMPTY_REPO		"Empty Repository"
	#define SW_CONTROL		"Control"
	#define SW_KICK			"Kick"
	#define SW_APPLY		"Apply"
	#define SW_ADD			"Add"
	#define SW_SUFFIX		"en"
#endif

#endif
